﻿@{
    ViewBag.Title = "MyOffice";
    Layout = "~/Views/Shared/_Layout_chart.cshtml";
}

<div>
    <div style="display:flex; align-items:center; margin:15px;">
        <h3 style="">LEVEL :</h3>
        @Html.DropDownList("leval", ViewBag.level as SelectList, new { @class = "drop-level", onchange = "drawChart(this.value);" })
    </div>
</div>
<div class="over-flow-chart">
    <div id="chart"></div>
</div>

<script type="text/javascript">
    $(function () {
        google.load("visualization", "1", { packages: ["orgchart"] });
        google.setOnLoadCallback(drawChart(0));
    });
    function drawChart(param) {
        $.ajax({
            type: "POST",
            url: "/ChartMember/GetChartData",
            data: "{'param':'" + param + "'}",
            contentType: "application/json; charset=utf-8",
            dataType: "json",
            success: function (r) {
                //alert(1);
                //console.log(r.data);
                //return;
                var data = new google.visualization.DataTable();
                data.addColumn('string', 'Entity');
                data.addColumn('string', 'ParentEntity');
                data.addColumn('string', 'ToolTip');
                for (var i = 0; i < r.data.length; i++) {
                    //console.log(r.data[i]);
                    var memberId = r.data[i].id.toString();
                    var memberName = r.data[i].username;
                    var parentId = r.data[i].adviser_id != 0 ? r.data[i].adviser_id : '';
                    var mobile = r.data[i].mobile;
                    var create_date = r.data[i].create_date;
                    //alert(memberId);
                    //console.log(memberId); return;
                    data.addRows([[{
                        v: memberId,
                        f: "<div style='font-size:16px; font-weight:bold; color:#000;padding: 7px;'>" + memberName + "</div> <div style='background:#ffb11a;'>  <div style='padding: 10px; border-bottom: 2px solid;'><span style='color:#000; font-weight:bold;'>Mobile :</span>" + mobile + " </div>" + "<div style='padding: 10px;'> <span style='color:#000; font-weight:bold;'>Create Date :</span>" + create_date + "</div>  </div>"
                    }, parentId.toString(), memberName.toString()]]);
                    //alert(memberId);
                    //console.log(memberName); return;
                }
                var chart = new google.visualization.OrgChart($("#chart")[0]);
                chart.draw(data, { allowHtml: true });

            },
            failure: function (r) {
                alert(r.d);
                //alert(2);
            },
            error: function (r) {
                alert(r.d);
                //console.log(r);
            }
        });
    }

</script>
